Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.
Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site. The navigation content and structure returned in the request is set up and managed in the Experience App.There is no difference between GET and POST requests to this endpoint.
GET https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree
A key that uniquely identifies the current visitor. Using UUIDs as keys are recommended. This field is required unless userContext is set to ANONYMOUS or UNPERSONALIZED in which case it is not allowed. If userContext is set to SYNTHETIC this is optional.
0b05119e-eeb8-418a-bbfb-defa0dde417e
locale*
The visitor locale. Must match an available locale identifier on the current market in the data feed.
en-GB
market*
The visitor market identifier. Must match the corresponding market identifier in the data feed.
UK
sessionKey*
A unique key, identifying the session. Using UUIDs as keys are recommended. This field is required unless userContext is set to ANONYMOUS in which case it is not allowed. If userContext is set to SYNTHETIC this is optional.
0b05119e-eeb8-418a-bbfb-defa0dde417e
touchpoint*
The visitor’s touchpoint. Supported values: DESKTOP, MOBILE.
DESKTOP
channels
Which channels to use. Valid values are ONLINE and STORE. Multiple values are provided with a pipe, |, as a separator. channels will default to ONLINE|STORE if nothing is provided. If STORE is explicitly provided then stores cannot be empty. Supported values: ONLINE, STORE.
ONLINE
notify
A boolean that can be used to disable notifications and behavioural registration for the query. May not be combined with any userContext.
You are recommended to set an appropriate userContext instead.
false
priceId
A custom price identifier that determines which price is used throughout the response. Must match a supplied custom price identifier in the data feed. When set, all product prices (selling price, list price etc.), price filtering, and price-based sorting will use this price instead of the standard prices.
VIP
stores
Which stores to use. Will impact which stock is displayed and which stock is used for filtering/ranking together with channel. Multiple values are provided with a pipe, |, as a separator. Each store must match a supplied store key in the data feed.
240|100
userContext
Specifies the level of consent for data tracking. Can also be used to flag requests as synthetic to not contribute to statistics. If omitted, the request will be treated as if PERSONALIZED is used.
See user context for more details. Supported values: PERSONALIZED, UNPERSONALIZED, ANONYMOUS, SYNTHETIC.
PERSONALIZED
viewId
A parameter that is used to show the page in either production or preview mode. Defaults to PRODUCTION if omitted in the query. For more information, see App Integration. Supported values: PRODUCTION, PREVIEW.
PRODUCTION
Example request
bash
curl -i \-X GET \-H 'Accept-Encoding: gzip' \"https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree?customerKey=0b05119e-eeb8-418a-bbfb-defa0dde417e&locale=en-GB&market=UK&sessionKey=0b05119e-eeb8-418a-bbfb-defa0dde417e&touchpoint=DESKTOP&channels=ONLINE¬ify=false&priceId=VIP&stores=240%7C100&userContext=PERSONALIZED&viewId=PRODUCTION"
Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site. The navigation content and structure returned in the request is set up and managed in the Experience App.There is no difference between GET and POST requests to this endpoint.
POST https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree
A key that uniquely identifies the current visitor. Using UUIDs as keys are recommended. This field is required unless userContext is set to ANONYMOUS or UNPERSONALIZED in which case it is not allowed. If userContext is set to SYNTHETIC this is optional.
0b05119e-eeb8-418a-bbfb-defa0dde417e
locale*
The visitor locale. Must match an available locale identifier on the current market in the data feed.
en-GB
market*
The visitor market identifier. Must match the corresponding market identifier in the data feed.
UK
sessionKey*
A unique key, identifying the session. Using UUIDs as keys are recommended. This field is required unless userContext is set to ANONYMOUS in which case it is not allowed. If userContext is set to SYNTHETIC this is optional.
0b05119e-eeb8-418a-bbfb-defa0dde417e
touchpoint*
The visitor’s touchpoint. Supported values: DESKTOP, MOBILE.
DESKTOP
channels
Which channels to use. Valid values are ONLINE and STORE. Multiple values are provided with a pipe, |, as a separator. channels will default to ONLINE|STORE if nothing is provided. If STORE is explicitly provided then stores cannot be empty. Supported values: ONLINE, STORE.
ONLINE
notify
A boolean that can be used to disable notifications and behavioural registration for the query. May not be combined with any userContext.
You are recommended to set an appropriate userContext instead.
false
priceId
A custom price identifier that determines which price is used throughout the response. Must match a supplied custom price identifier in the data feed. When set, all product prices (selling price, list price etc.), price filtering, and price-based sorting will use this price instead of the standard prices.
VIP
stores
Which stores to use. Will impact which stock is displayed and which stock is used for filtering/ranking together with channel. Multiple values are provided with a pipe, |, as a separator. Each store must match a supplied store key in the data feed.
240|100
userContext
Specifies the level of consent for data tracking. Can also be used to flag requests as synthetic to not contribute to statistics. If omitted, the request will be treated as if PERSONALIZED is used.
See user context for more details. Supported values: PERSONALIZED, UNPERSONALIZED, ANONYMOUS, SYNTHETIC.
PERSONALIZED
viewId
A parameter that is used to show the page in either production or preview mode. Defaults to PRODUCTION if omitted in the query. For more information, see App Integration. Supported values: PRODUCTION, PREVIEW.
PRODUCTION
Example request
bash
curl -i \-X POST \-H 'Accept-Encoding: gzip' \"https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree?customerKey=0b05119e-eeb8-418a-bbfb-defa0dde417e&locale=en-GB&market=UK&sessionKey=0b05119e-eeb8-418a-bbfb-defa0dde417e&touchpoint=DESKTOP&channels=ONLINE¬ify=false&priceId=VIP&stores=240%7C100&userContext=PERSONALIZED&viewId=PRODUCTION"
A node containing products, typically modifies a product listing on click.
LABEL
A node used for visually separating other navigation nodes.
PAGE_LINK
A node intended to takes the user to another page, does not have to contain products.
SPACER
A node used for adding spaces between other navigation nodes.
Last modified on October 28, 2026
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Product Discovery developer docs","description":"Product Discovery developer docs","colors":{"primary":"#fe4a49","light":"#ff8785","dark":"#4c093e"},"logo":{"light":"https://mintcdn.com/elevatedocs/1uBQSi2ovHREOrJm/assets/logo/voyado-light-logo.svg?fit=max\u0026auto=format\u0026n=1uBQSi2ovHREOrJm\u0026q=85\u0026s=6ab6674fd4ef6d98e2e482644482eaf8","dark":"https://mintcdn.com/elevatedocs/1uBQSi2ovHREOrJm/assets/logo/voyado-dark-logo.svg?fit=max\u0026auto=format\u0026n=1uBQSi2ovHREOrJm\u0026q=85\u0026s=ce9a169f8b3235ef225c95f50b3e3853","href":"/docs/home/about"},"favicon":"https://mintcdn.com/elevatedocs/U2rlNuBdHmV1mTwc/assets/logo/favicon-bw-32x32.png?fit=max\u0026auto=format\u0026n=U2rlNuBdHmV1mTwc\u0026q=85\u0026s=5b0c7f8a7b5c7f1c304eacf65bc6b39d","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["curl","javascript","java","csharp","python"],"prefill":true}},"appearance":{"default":"light"},"background":{"color":{"light":"#ffffff","dark":"#1e2129"}},"navbar":{"links":[{"icon":"/assets/icons/help-center-link.png","href":"https://help.elevate.voyado.com/hc/en-gb","label":"Help Center"}],"primary":{"type":"button","label":"Contact us","href":"https://voyado.com/about-voyado/contact-us/"}},"seo":{"metatags":{"og:site_name":"Product Discovery developer docs","og:type":"website"},"organization":{"id":"https://voyado.com/","legalName":"Voyado Lund AB","url":"https://voyado.com/","logo":"https://voyado.com/wp-content/uploads/2023/01/cropped-Favicon-192x192.png","sameAs":["https://www.linkedin.com/company/voyadoab/","https://www.facebook.com/voyado/","https://www.instagram.com/voyado_official/"]},"indexing":"navigable"},"fonts":{"heading":{"family":"Voyado Text","source":"https://mintlify-assets.b-cdn.net/VoyadoText-Medium.woff2","format":"woff2"},"body":{"family":"Voyado Regular","source":"https://mintlify-assets.b-cdn.net/VoyadoText-Regular.woff2","format":"woff2"}},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"cookies":{"key":"mintlify_telemetry","value":"granted"}},"contextual":{"options":["claude","chatgpt","assistant","copy","view","mcp"],"display":"header"},"metadata":{"timestamp":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"elevatedocs","hasAudioNarration":false,"actualSubdomain":"elevatedocs","customDomains":["product-discovery.developer.voyado.com"],"gitSource":{"type":"github","owner":"voyado","repo":"elevate-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ae1b640661bff0c6e7268b7","collectionId":"6995d297-6474-4fdf-99f9-16c317ed200c","liveDeploymentHistoryId":"6ae1b640661bff0c6e7268b7","schemaVersion":"v3"},"feedback":{"thumbs":false,"agentFeedback":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae1b640661bff0c6e7268b7","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API","count":69},{"language":"default","tag":"Admin","count":42},{"language":"default","tag":"v3","count":39},{"language":"default","tag":"Guides","count":24},{"language":"default","tag":"v4","count":23},{"language":"default","tag":"Integration","count":23},{"language":"default","tag":"Storefront","count":22},{"language":"default","tag":"Add-ons","count":12},{"language":"default","tag":"Export","count":12},{"language":"default","tag":"Import","count":12}],"searchSettings":{"maxResults":8,"showContentSnippets":false,"isFiltersEnabled":false}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"type":"link","url":"https://voyado.com/about-voyado/contact-us/"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":false}},"googleFontsInlined":false},"customCss":[{"filePath":"styles/style.css","content":".border-b{border-bottom-width:2px;border-color:rgb(var(--gray-200))}html.dark .border-b,html.dark .prose pre{border-color:rgba(255,255,255,.18)}.prose-sm{font-size:.9rem;line-height:1.7}html.dark{--gray-50:222 227 234;--gray-100:213 218 226;--gray-200:197 203 213;--gray-300:176 183 194;--gray-400:145 152 164}html.dark .prose{--tw-prose-body:#b3b9c4;--tw-prose-headings:#d2d7e0;--tw-prose-lead:#a7aeba;--tw-prose-links:#c5cbd5;--tw-prose-bold:#dde2ea;--tw-prose-counters:#8d95a2;--tw-prose-bullets:#626a78;--tw-prose-hr:#363c47;--tw-prose-quotes:#cdd3dc;--tw-prose-quote-borders:#454c58;--tw-prose-captions:#8d95a2;--tw-prose-code:#cdd3dc;--tw-prose-pre-code:#cdd3dc;--tw-prose-th-borders:#5c6474;--tw-prose-td-borders:#4a5162}.prose :where(code):not(:where([class~=not-prose],[class~=not-prose] *)){color:var(--tw-prose-code);font-weight:500;background-color:#f8f8f7;border:1px solid #c7dbe8;border-radius:4px;padding-left:.25em;padding-right:.25em}html.dark .prose :where(code):not(:where([class~=not-prose],[class~=not-prose] *)){color:#cdd3dc;background-color:#272c36;border-color:#3a404b}.prose pre code{background-color:transparent!important;border:0!important;color:inherit!important;font-weight:400;padding-left:0!important}.py-1\\.5{padding-top:1px;padding-bottom:1px}@media (min-width:1024px){.lg\\:mt-8{margin-top:1rem}}html.dark #navigation-items a[aria-current=page]{background-color:rgb(var(--primary)/.14);color:#ff8785}html.dark #navigation-items a[aria-current=page] *{color:inherit}html.dark .code-block.dark\\:bg-white\\/5,html.dark .dark\\:bg-codeblock{background-color:#1e2129}html.dark .dark\\:bg-codeblock\\/50{background-color:rgb(30 33 41/.5)}html.dark .prose table thead tr,html.dark [data-component-part=code-block-header]{background-color:rgba(255,255,255,.06)}html.dark .code-block-background,html.dark [data-fade-overlay],html.dark pre.shiki{--shiki-dark-bg:#1e2129!important;--fade-color-dark:#1e2129!important}.sidebar-title{margin-bottom:-.3rem;font-size:15px}#pagination{display:none!important}.help-center-card [data-component-part=card-icon]{width:2rem;height:2rem;flex-shrink:0;display:flex;align-items:center;justify-content:center}.help-center-card [data-component-part=card-icon] img{width:2rem;height:2rem;object-fit:contain}#topbar-cta-button a>span:first-child{background-color:rgb(var(--primary)/.1);border:1px solid rgb(var(--primary)/.25)}html.dark #topbar-cta-button a>span:first-child{background-color:rgb(var(--primary)/.14);border-color:rgb(var(--primary)/.3)}#topbar-cta-button a:hover>span:first-child{background-color:rgb(var(--primary)/.18);opacity:1}html.dark #topbar-cta-button a:hover>span:first-child{background-color:rgb(var(--primary)/.22)}#topbar-cta-button a span,#topbar-cta-button a svg,#topbar-cta-button a>div{color:rgb(var(--primary))}html.dark #topbar-cta-button a span,html.dark #topbar-cta-button a svg,html.dark #topbar-cta-button a>div{color:#ff8785}.prose table{border-collapse:collapse;width:100%;max-width:100%;table-layout:auto}.prose table td,.prose table th{border:0;padding:.4rem .5rem;white-space:normal;overflow-wrap:anywhere;word-break:break-word}.accordion [data-table-wrapper=true],[data-component-part=accordion-content] [data-table-wrapper=true]{--page-padding:0px;max-width:100%}.prose table thead tr{background-color:rgba(0,0,0,.05)}html.dark .prose table thead{border-color:#4b5261}html.dark .prose table tr{border-color:#3b4250}.prose table thead th{font-weight:600}.prose table tbody td{background-color:#fff}html.dark .prose table tbody td{background-color:transparent}.prose :where(h2):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:1.6em;margin-bottom:.7em}.prose :where(h3):not(:where([class~=not-prose],[class~=not-prose] *)),.prose :where(h4):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:1.5em;margin-bottom:.6em}#mobile-nav [data-elevate-tab-dropdown]{display:none}#mobile-nav [data-elevate-tab-list]{padding-bottom:.75rem;border-bottom:1px solid rgb(var(--gray-200)/.7)}html.dark #mobile-nav [data-elevate-tab-list]{border-bottom-color:rgb(255 255 255/.07)}#mobile-nav [data-elevate-tab-list] ul{display:flex;flex-direction:column;gap:.125rem;margin:0;padding:0;list-style:none}#mobile-nav [data-elevate-tab-list] a{display:block;padding:.375rem .75rem .375rem 1rem;border-radius:.75rem;font-size:1rem;font-weight:500;line-height:1.5rem;color:rgb(var(--gray-700));text-decoration:none}html.dark #mobile-nav [data-elevate-tab-list] a{color:rgb(var(--gray-300))}#mobile-nav [data-elevate-tab-list] a:hover{background-color:rgb(var(--gray-600)/.05)}html.dark #mobile-nav [data-elevate-tab-list] a:hover{background-color:rgb(var(--gray-200)/.05)}#mobile-nav [data-elevate-tab-list] a[data-active]{background-color:rgb(var(--primary)/.1);color:rgb(var(--primary))}html.dark #mobile-nav [data-elevate-tab-list] a[data-active]{background-color:rgb(var(--primary-light)/.1);color:rgb(var(--primary-light))}"}],"page":{"pagePath":"docs/api/storefront/v3/queries/navigation-tree","slug":"/docs/api/storefront/v3/queries/navigation-tree","pageMetadata":{"title":"Navigation Tree","description":"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.","href":"/docs/api/storefront/v3/queries/navigation-tree"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Heading,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`get`,children:`GET`}),`\n`,_jsx(_components.p,{children:`Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site. The navigation content and structure returned in the request is set up and managed in the Experience App.`}),`\n`,_jsx(_components.p,{children:`There is no difference between GET and POST requests to this endpoint.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`http`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`http`,children:_jsxs(_components.code,{language:`http`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`GET`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`request`,children:`Request`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Request header parameters`,id:`request-header-parameters`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Example`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Accept-Encoding`})}),_jsx(_components.td,{children:`Allows responses to be compressed using gzip.`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`gzip`})})]})})]})}),_jsx(Accordion,{title:`Request query parameters`,id:`request-query-parameters`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Example`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`customerKey`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`A key that uniquely identifies the current visitor.`,_jsx(`br`,{}),`Using `,_jsx(`a`,{href:`https://en.wikipedia.org/wiki/Universally_unique_identifier`,children:`UUIDs`}),` as keys are recommended.`,_jsx(`br`,{}),`This field is `,_jsx(_components.strong,{children:`required`}),` unless `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`ANONYMOUS`}),` or `,_jsx(_components.code,{children:`UNPERSONALIZED`}),` in which case it is not allowed.`,_jsx(`br`,{}),`If `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`SYNTHETIC`}),` this is optional.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`0b05119e-eeb8-418a-bbfb-defa0dde417e`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`locale`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`The visitor locale. Must match an available locale identifier on the current market in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/essentials/markets-and-locales`,children:`data feed`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`en-GB`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`market`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`The visitor market identifier. Must match the corresponding market identifier in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/essentials/markets-and-locales`,children:`data feed`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`UK`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`sessionKey`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`A unique key, identifying the session.`,_jsx(`br`,{}),`Using `,_jsx(`a`,{href:`https://en.wikipedia.org/wiki/Universally_unique_identifier`,children:`UUIDs`}),` as keys are recommended.`,_jsx(`br`,{}),`This field is `,_jsx(_components.strong,{children:`required`}),` unless `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`ANONYMOUS`}),` in which case it is not allowed.`,_jsx(`br`,{}),`If `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`SYNTHETIC`}),` this is optional.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`0b05119e-eeb8-418a-bbfb-defa0dde417e`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`touchpoint`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`The visitor’s touchpoint. Supported values: `,_jsx(_components.code,{children:`DESKTOP`}),`, `,_jsx(_components.code,{children:`MOBILE`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`DESKTOP`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`channels`})}),_jsxs(_components.td,{children:[`Which channels to use. Valid values are `,_jsx(_components.code,{children:`ONLINE`}),` and `,_jsx(_components.code,{children:`STORE`}),`. Multiple values are provided with a pipe, `,_jsx(_components.code,{children:`|`}),`, as a separator. channels will default to `,_jsx(_components.code,{children:`ONLINE|STORE`}),` if nothing is provided. If `,_jsx(_components.code,{children:`STORE`}),` is explicitly provided then stores cannot be empty. Supported values: `,_jsx(_components.code,{children:`ONLINE`}),`, `,_jsx(_components.code,{children:`STORE`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`ONLINE`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`notify`})}),_jsxs(_components.td,{children:[`A boolean that can be used to disable notifications and behavioural registration for the query. May not be combined with any `,_jsx(_components.code,{children:`userContext`}),`.`,_jsx(`br`,{}),_jsx(`br`,{}),`You are recommended to set an appropriate `,_jsx(_components.code,{children:`userContext`}),` instead.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`false`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`priceId`})}),_jsxs(_components.td,{children:[`A custom price identifier that determines which price is used throughout the response. Must match a supplied custom price identifier in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/data-feed/xml-format-specification#custom-prices`,children:`data feed`}),`. When set, all product prices (selling price, list price etc.), price filtering, and price-based sorting will use this price instead of the standard prices.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`VIP`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`stores`})}),_jsxs(_components.td,{children:[`Which stores to use. Will impact which stock is displayed and which stock is used for filtering/ranking together with channel. Multiple values are provided with a pipe, `,_jsx(_components.code,{children:`|`}),`, as a separator. Each store must match a supplied store key in the data feed.`]}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`240|100`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`userContext`})}),_jsxs(_components.td,{children:[`Specifies the level of consent for data tracking. Can also be used to flag requests as synthetic to not contribute to statistics. If omitted, the request will be treated as if `,_jsx(_components.code,{children:`PERSONALIZED`}),` is used.`,_jsx(`br`,{}),_jsx(`br`,{}),`See `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/site-integration/query-integration/query-parameters/#user-context`,children:`user context`}),` for more details.`,_jsx(`br`,{}),`Supported values: `,_jsx(_components.code,{children:`PERSONALIZED`}),`, `,_jsx(_components.code,{children:`UNPERSONALIZED`}),`, `,_jsx(_components.code,{children:`ANONYMOUS`}),`, `,_jsx(_components.code,{children:`SYNTHETIC`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`PERSONALIZED`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`viewId`})}),_jsxs(_components.td,{children:[`A parameter that is used to show the page in either production or preview mode. Defaults to `,_jsx(_components.code,{children:`PRODUCTION`}),` if omitted in the query. For more information, see `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/site-integration/app-integration/`,children:`App Integration`}),`. Supported values: `,_jsx(_components.code,{children:`PRODUCTION`}),`, `,_jsx(_components.code,{children:`PREVIEW`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`PRODUCTION`})})]})]})]})}),_jsx(Accordion,{title:`Example request`,id:`example-request`,children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`4`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -i`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-X `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Accept-Encoding: gzip'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree?customerKey=0b05119e-eeb8-418a-bbfb-defa0dde417e\u0026locale=en-GB\u0026market=UK\u0026sessionKey=0b05119e-eeb8-418a-bbfb-defa0dde417e\u0026touchpoint=DESKTOP\u0026channels=ONLINE\u0026notify=false\u0026priceId=VIP\u0026stores=240%7C100\u0026userContext=PERSONALIZED\u0026viewId=PRODUCTION\"`})}),`\n`]})})})})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Response codes`,id:`response-codes`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`200`})}),_jsx(_components.td,{children:`Query accepted, content flattened and serialised to JSON.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:`Invalid or missing required arguments.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Endpoint is not valid.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`503`})}),_jsx(_components.td,{children:`Service unavailable, no products found in the cluster.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Server error such as cluster unavailable or busy. The response body may contain more information about the error.`})]})]})]})}),_jsx(Accordion,{title:`Example response`,id:`example-response`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tree\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"children\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : [ `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"customData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"highlight\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"true\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"viewableFrom\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2010-10-20 00:00:00\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expandable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"iconPath\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/resources/images/navigation/spring_node.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"All products\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"link\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/springselections\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"path\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"selected\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PRODUCT\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),_jsxs(Accordion,{title:`Response body schema`,id:`response-body-schema`,children:[_jsx(Heading,{level:`4`,id:`navigationtreeresult`,children:`NavigationTreeResult`}),_jsx(_components.p,{children:`The object representation of a navigation tree structure.`}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`tree`}),_jsx(_components.td,{children:_jsx(_components.a,{href:`#navigationtreenode`,children:`NavigationTreeNode`})}),_jsx(_components.td,{children:`The root node of the navigation structure.`})]})})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`post`,children:`POST`}),`\n`,_jsx(_components.p,{children:`Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site. The navigation content and structure returned in the request is set up and managed in the Experience App.`}),`\n`,_jsx(_components.p,{children:`There is no difference between GET and POST requests to this endpoint.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`http`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`http`,children:_jsxs(_components.code,{language:`http`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`POST`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`request-2`,children:`Request`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Request header parameters`,id:`request-header-parameters-1`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Example`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`Accept-Encoding`})}),_jsx(_components.td,{children:`Allows responses to be compressed using gzip.`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`gzip`})})]})})]})}),_jsx(Accordion,{title:`Request query parameters`,id:`request-query-parameters-1`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Example`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`customerKey`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`A key that uniquely identifies the current visitor.`,_jsx(`br`,{}),`Using `,_jsx(`a`,{href:`https://en.wikipedia.org/wiki/Universally_unique_identifier`,children:`UUIDs`}),` as keys are recommended.`,_jsx(`br`,{}),`This field is `,_jsx(_components.strong,{children:`required`}),` unless `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`ANONYMOUS`}),` or `,_jsx(_components.code,{children:`UNPERSONALIZED`}),` in which case it is not allowed.`,_jsx(`br`,{}),`If `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`SYNTHETIC`}),` this is optional.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`0b05119e-eeb8-418a-bbfb-defa0dde417e`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`locale`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`The visitor locale. Must match an available locale identifier on the current market in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/essentials/markets-and-locales`,children:`data feed`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`en-GB`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`market`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`The visitor market identifier. Must match the corresponding market identifier in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/essentials/markets-and-locales`,children:`data feed`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`UK`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`sessionKey`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`A unique key, identifying the session.`,_jsx(`br`,{}),`Using `,_jsx(`a`,{href:`https://en.wikipedia.org/wiki/Universally_unique_identifier`,children:`UUIDs`}),` as keys are recommended.`,_jsx(`br`,{}),`This field is `,_jsx(_components.strong,{children:`required`}),` unless `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`ANONYMOUS`}),` in which case it is not allowed.`,_jsx(`br`,{}),`If `,_jsx(_components.code,{children:`userContext`}),` is set to `,_jsx(_components.code,{children:`SYNTHETIC`}),` this is optional.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`0b05119e-eeb8-418a-bbfb-defa0dde417e`})})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`touchpoint`}),_jsx(`span`,{style:{color:`red`},children:`*`})]}),_jsxs(_components.td,{children:[`The visitor’s touchpoint. Supported values: `,_jsx(_components.code,{children:`DESKTOP`}),`, `,_jsx(_components.code,{children:`MOBILE`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`DESKTOP`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`channels`})}),_jsxs(_components.td,{children:[`Which channels to use. Valid values are `,_jsx(_components.code,{children:`ONLINE`}),` and `,_jsx(_components.code,{children:`STORE`}),`. Multiple values are provided with a pipe, `,_jsx(_components.code,{children:`|`}),`, as a separator. channels will default to `,_jsx(_components.code,{children:`ONLINE|STORE`}),` if nothing is provided. If `,_jsx(_components.code,{children:`STORE`}),` is explicitly provided then stores cannot be empty. Supported values: `,_jsx(_components.code,{children:`ONLINE`}),`, `,_jsx(_components.code,{children:`STORE`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`ONLINE`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`notify`})}),_jsxs(_components.td,{children:[`A boolean that can be used to disable notifications and behavioural registration for the query. May not be combined with any `,_jsx(_components.code,{children:`userContext`}),`.`,_jsx(`br`,{}),_jsx(`br`,{}),`You are recommended to set an appropriate `,_jsx(_components.code,{children:`userContext`}),` instead.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`false`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`priceId`})}),_jsxs(_components.td,{children:[`A custom price identifier that determines which price is used throughout the response. Must match a supplied custom price identifier in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/data-feed/xml-format-specification#custom-prices`,children:`data feed`}),`. When set, all product prices (selling price, list price etc.), price filtering, and price-based sorting will use this price instead of the standard prices.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`VIP`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`stores`})}),_jsxs(_components.td,{children:[`Which stores to use. Will impact which stock is displayed and which stock is used for filtering/ranking together with channel. Multiple values are provided with a pipe, `,_jsx(_components.code,{children:`|`}),`, as a separator. Each store must match a supplied store key in the data feed.`]}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`240|100`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`userContext`})}),_jsxs(_components.td,{children:[`Specifies the level of consent for data tracking. Can also be used to flag requests as synthetic to not contribute to statistics. If omitted, the request will be treated as if `,_jsx(_components.code,{children:`PERSONALIZED`}),` is used.`,_jsx(`br`,{}),_jsx(`br`,{}),`See `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/site-integration/query-integration/query-parameters/#user-context`,children:`user context`}),` for more details.`,_jsx(`br`,{}),`Supported values: `,_jsx(_components.code,{children:`PERSONALIZED`}),`, `,_jsx(_components.code,{children:`UNPERSONALIZED`}),`, `,_jsx(_components.code,{children:`ANONYMOUS`}),`, `,_jsx(_components.code,{children:`SYNTHETIC`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`PERSONALIZED`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`viewId`})}),_jsxs(_components.td,{children:[`A parameter that is used to show the page in either production or preview mode. Defaults to `,_jsx(_components.code,{children:`PRODUCTION`}),` if omitted in the query. For more information, see `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/integration/site-integration/app-integration/`,children:`App Integration`}),`. Supported values: `,_jsx(_components.code,{children:`PRODUCTION`}),`, `,_jsx(_components.code,{children:`PREVIEW`}),`.`]}),_jsx(_components.td,{children:_jsx(_components.code,{children:`PRODUCTION`})})]})]})]})}),_jsx(Accordion,{title:`Example request`,id:`example-request-1`,children:_jsx(CodeBlock,{filename:`bash`,numberOfLines:`4`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -i`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-X `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Accept-Encoding: gzip'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://{cluster-id}.elevate-api.cloud/api/storefront/v3/queries/navigation-tree?customerKey=0b05119e-eeb8-418a-bbfb-defa0dde417e\u0026locale=en-GB\u0026market=UK\u0026sessionKey=0b05119e-eeb8-418a-bbfb-defa0dde417e\u0026touchpoint=DESKTOP\u0026channels=ONLINE\u0026notify=false\u0026priceId=VIP\u0026stores=240%7C100\u0026userContext=PERSONALIZED\u0026viewId=PRODUCTION\"`})}),`\n`]})})})})]}),`\n`,_jsx(Heading,{level:`3`,id:`response-2`,children:`Response`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Response codes`,id:`response-codes-1`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`200`})}),_jsx(_components.td,{children:`Query accepted, content flattened and serialised to JSON.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:`Invalid or missing required arguments.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Endpoint is not valid.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`503`})}),_jsx(_components.td,{children:`Service unavailable, no products found in the cluster.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Server error such as cluster unavailable or busy. The response body may contain more information about the error.`})]})]})]})}),_jsx(Accordion,{title:`Example response`,id:`example-response-1`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tree\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"children\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : [ `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"customData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"highlight\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"true\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"viewableFrom\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2010-10-20 00:00:00\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expandable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"iconPath\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/resources/images/navigation/spring_node.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"All products\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"link\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/springselections\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"path\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"selected\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` : `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PRODUCT\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),_jsxs(Accordion,{title:`Response body schema`,id:`response-body-schema-1`,children:[_jsx(Heading,{level:`4`,id:`navigationtreeresult-2`,children:`NavigationTreeResult`}),_jsx(_components.p,{children:`The object representation of a navigation tree structure.`}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`tree`}),_jsx(_components.td,{children:_jsx(_components.a,{href:`#navigationtreenode`,children:`NavigationTreeNode`})}),_jsx(_components.td,{children:`The root node of the navigation structure.`})]})})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`schemas`,children:`Schemas`}),`\n`,_jsx(Heading,{level:`3`,id:`navigationtreenode`,children:`NavigationTreeNode`}),`\n`,_jsx(_components.p,{children:`The object representation of the navigation node.`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`children`}),_jsxs(_components.td,{children:[_jsx(_components.a,{href:`#navigationtreenode`,children:`NavigationTreeNode`}),`[]`]}),_jsx(_components.td,{children:`A list of NavigationNode children of the current node.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`count`}),_jsx(_components.td,{children:`integer`}),_jsxs(_components.td,{children:[`The number of product groups in the node.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`5`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`customData`}),_jsx(_components.td,{children:`\u003cstring, string>`}),_jsxs(_components.td,{children:[`A key-value mapping of custom data associated with this page as defined in the `,_jsx(`a`,{href:`https://product-discovery.developer.voyado.com/docs/api/admin/v4/import/navigation/`,children:`navigation import`}),`.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`{\"highlight\":\"true\",\"viewableFrom\":\"2010-10-20 00:00:00\"}`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`expandable`}),_jsx(_components.td,{children:`boolean`}),_jsxs(_components.td,{children:[`Indicates that this node can be expanded, e.g. a request with this node as selected will return children under this node.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`true`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`iconPath`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`The path to the image used as this node’s icon, if any.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`\"/resources/images/navigation/spring_node.jpg\"`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`label`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`The presentation text for the node.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`\"All products\"`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`link`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`Link to page, will only by populated if type is `,_jsx(_components.code,{children:`PAGE_LINK`}),_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`\"/springselections\"`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`path`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`The path to the node.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`\"/\"`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`selected`}),_jsx(_components.td,{children:`boolean`}),_jsxs(_components.td,{children:[`Identifies the node as selected in the tree.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`false`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`type`}),_jsx(_components.td,{children:_jsx(_components.a,{href:`#navigationtreenodetype-enum`,children:`NavigationTreeNodeType`})}),_jsxs(_components.td,{children:[`The type of node, used for separating visuals of different node types. Supported values: `,_jsx(_components.code,{children:`PRODUCT`}),`, `,_jsx(_components.code,{children:`LABEL`}),`, `,_jsx(_components.code,{children:`PAGE_LINK`}),`, `,_jsx(_components.code,{children:`SPACER`}),`.`,_jsx(`br`,{}),_jsx(`br`,{}),`Examples: `,_jsx(_components.code,{children:`\"PAGE_LINK\"`})]})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`navigationtreenodetype-enum`,children:`NavigationTreeNodeType (enum)`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`PRODUCT`}),_jsx(_components.td,{children:`A node containing products, typically modifies a product listing on click.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`LABEL`}),_jsx(_components.td,{children:`A node used for visually separating other navigation nodes.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`PAGE_LINK`}),_jsx(_components.td,{children:`A node intended to takes the user to another page, does not have to contain products.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`SPACER`}),_jsx(_components.td,{children:`A node used for adding spaces between other navigation nodes.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Navigation Tree","description":"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.","href":"/docs/api/storefront/v3/queries/navigation-tree"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"GET","slug":"get","depth":2,"children":[{"title":"Request","slug":"request","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}]},{"title":"POST","slug":"post","depth":2,"children":[{"title":"Request","slug":"request-2","depth":3,"children":[]},{"title":"Response","slug":"response-2","depth":3,"children":[]}]},{"title":"Schemas","slug":"schemas","depth":2,"children":[{"title":"NavigationTreeNode","slug":"navigationtreenode","depth":3,"children":[]},{"title":"NavigationTreeNodeType (enum)","slug":"navigationtreenodetype-enum","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/elevatedocs/e981000376caad84/scripts/disable-accordion-link-copy.js","/_mintlify/custom/elevatedocs/9f72db540c8d3f36/scripts/mobile-nav-tab-list.js","/_mintlify/custom/elevatedocs/3c15ab69a2191b51/scripts/gtm.js"],"subdomain":"elevatedocs","siteName":"Product Discovery developer docs","title":"Navigation Tree - Product Discovery developer docs","relatedPagesConfig":{"enabled":false,"limit":5,"mode":"automatic"},"contextualStarterQuestions":[{"_id":"6ab2359f36f3601e34c30998","deploymentId":"6a638c2b4251baa99ac33cca","questionText":"How do I get navigation tree data?","status":"active","generatedBy":"contextual","path":"docs/api/storefront/v3/queries/navigation-tree","createdAt":"2026-09-22T08:00:31.289Z","updatedAt":"2026-09-22T08:00:31.289Z","__v":0},{"_id":"6ab2359f36f3601e34c30999","deploymentId":"6a638c2b4251baa99ac33cca","questionText":"What is the navigation tree API?","status":"active","generatedBy":"contextual","path":"docs/api/storefront/v3/queries/navigation-tree","createdAt":"2026-09-22T08:00:31.289Z","updatedAt":"2026-09-22T08:00:31.289Z","__v":0},{"_id":"6ab2359f36f3601e34c3099a","deploymentId":"6a638c2b4251baa99ac33cca","questionText":"Can I use this for mobile nav?","status":"active","generatedBy":"contextual","path":"docs/api/storefront/v3/queries/navigation-tree","createdAt":"2026-09-22T08:00:31.289Z","updatedAt":"2026-09-22T08:00:31.289Z","__v":0}],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-22T08:00:25.059Z","gitLastModified":"2026-10-28T08:45:49.000Z","originalFileLocation":"docs/api/storefront/v3/queries/navigation-tree.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Product Discovery developer docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Navigation Tree - Product Discovery developer docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Product Discovery developer docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://elevatedocs.mintlify.app/_mintlify/api/og/v2?division=Queries\u0026amp;title=Navigation+Tree\u0026amp;description=Navigation+tree+requests+are+used+to+retrieve+the+navigation+structure+for+the+site%2C+suitable+to+use+for+mobile+navigation+or+top+navigation+on+the+site.\u0026amp;theme=f58243c8184ccc363977f3a7\u0026amp;signature=7ad52b2d61c16caae423acab4cad10056050bfdf0c4dcf9f151c729905282382\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Navigation Tree - Product Discovery developer docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://elevatedocs.mintlify.app/_mintlify/api/og/v2?division=Queries\u0026amp;title=Navigation+Tree\u0026amp;description=Navigation+tree+requests+are+used+to+retrieve+the+navigation+structure+for+the+site%2C+suitable+to+use+for+mobile+navigation+or+top+navigation+on+the+site.\u0026amp;theme=f58243c8184ccc363977f3a7\u0026amp;signature=7ad52b2d61c16caae423acab4cad10056050bfdf0c4dcf9f151c729905282382\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/elevatedocs/pFLF7Ck4WVv5gLWu/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Product Discovery developer docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#fe4a49\">\u003clink data-mint-head rel=\"canonical\" href=\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api/storefront/v3/queries/navigation-tree.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://voyado.com/\",\"name\":\"Product Discovery developer docs\",\"legalName\":\"Voyado Lund AB\",\"url\":\"https://voyado.com/\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://voyado.com/wp-content/uploads/2023/01/cropped-Favicon-192x192.png\"},\"sameAs\":[\"https://www.linkedin.com/company/voyadoab/\",\"https://www.facebook.com/voyado/\",\"https://www.instagram.com/voyado_official/\"]},{\"@type\":\"WebSite\",\"@id\":\"https://product-discovery.developer.voyado.com#website\",\"name\":\"Product Discovery developer docs\",\"url\":\"https://product-discovery.developer.voyado.com\",\"publisher\":{\"@id\":\"https://voyado.com/\"}},{\"@type\":\"WebPage\",\"@id\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree#webpage\",\"url\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree\",\"name\":\"Navigation Tree\",\"description\":\"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.\",\"dateModified\":\"2026-10-28T08:45:49.000Z\",\"isPartOf\":{\"@id\":\"https://product-discovery.developer.voyado.com#website\"},\"breadcrumb\":{\"@id\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Storefront\",\"item\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"v3\",\"item\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Queries\",\"item\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/add-to-cart-popup\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Navigation Tree\",\"item\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree#article\",\"headline\":\"Navigation Tree\",\"name\":\"Navigation Tree\",\"description\":\"Navigation tree requests are used to retrieve the navigation structure for the site, suitable to use for mobile navigation or top navigation on the site.\",\"url\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree\",\"mainEntityOfPage\":{\"@id\":\"https://product-discovery.developer.voyado.com/docs/api/storefront/v3/queries/navigation-tree#webpage\"},\"dateModified\":\"2026-10-28T08:45:49.000Z\",\"publisher\":{\"@id\":\"https://voyado.com/\"},\"isPartOf\":{\"@id\":\"https://product-discovery.developer.voyado.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Product Discovery developer docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Product Discovery developer docs","nav":{"global":null,"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/docs/home/about"}]},{"tab":"Integration","pages":[{"title":"Integration","href":"/docs/integration/overview"}]},{"tab":"API","groups":[{"group":"Overview","pages":[{"title":"API overview","href":"/docs/api/getting-started"},{"title":"API versioning","href":"/docs/api/api-versioning"},{"title":"OpenAPI specifications","href":"/docs/api/specifications"},{"title":"Postman collections","href":"/docs/api/postman"},{"title":"JavaScript library","href":"/docs/api/javascript-library"}]},{"group":"Admin","pages":[{"title":"Overview","href":"/docs/api/admin/overview"},{"group":"v4","expanded":true,"pages":[{"title":"Overview","href":"/docs/api/admin/v4/overview"},{"title":"Catalog upgrade guide","href":"/docs/api/admin/v4/v4-upgrade"},{"group":"Event data","pages":[{"title":"Create Export Customer Job","href":"/docs/api/admin/v4/event-data/create-export-customer-job"},{"title":"Create Remove Customer Job","href":"/docs/api/admin/v4/event-data/create-remove-customer-job"},{"title":"Export Customer Job Result","href":"/docs/api/admin/v4/event-data/export-customer-job-result"},{"title":"Job Status","href":"/docs/api/admin/v4/event-data/job-status"}]},{"group":"Export","pages":[{"title":"Catalog","href":"/docs/api/admin/v4/export/catalog"},{"title":"Configuration","href":"/docs/api/admin/v4/export/configuration"},{"title":"Navigation","href":"/docs/api/admin/v4/export/navigation"},{"title":"Pages","href":"/docs/api/admin/v4/export/pages"},{"title":"Product Sets","href":"/docs/api/admin/v4/export/product-sets"},{"title":"Templates","href":"/docs/api/admin/v4/export/templates"},{"title":"Upgrade Catalog","href":"/docs/api/admin/v4/export/upgrade-catalog"}]},{"group":"Import","pages":[{"title":"Catalog","href":"/docs/api/admin/v4/import/catalog"},{"title":"Configuration","href":"/docs/api/admin/v4/import/configuration"},{"title":"Navigation","href":"/docs/api/admin/v4/import/navigation"},{"title":"Pages","href":"/docs/api/admin/v4/import/pages"},{"title":"Product Sets","href":"/docs/api/admin/v4/import/product-sets"},{"title":"Status","href":"/docs/api/admin/v4/import/status"},{"title":"Templates","href":"/docs/api/admin/v4/import/templates"}]},{"group":"Notifications","pages":[{"title":"Latest","href":"/docs/api/admin/v4/notifications/latest"},{"title":"Payment","href":"/docs/api/admin/v4/notifications/payment"}]},{"title":"Status","href":"/docs/api/admin/v4/status"}]},{"group":"v3","expanded":false,"pages":[{"title":"Overview","href":"/docs/api/admin/v3/overview"},{"group":"Event data","pages":[{"title":"Create Export Customer Job","deprecated":true,"href":"/docs/api/admin/v3/event-data/create-export-customer-job"},{"title":"Create Remove Customer Job","deprecated":true,"href":"/docs/api/admin/v3/event-data/create-remove-customer-job"},{"title":"Export Customer Job Result","deprecated":true,"href":"/docs/api/admin/v3/event-data/export-customer-job-result"},{"title":"Job Status","deprecated":true,"href":"/docs/api/admin/v3/event-data/job-status"}]},{"group":"Export","pages":[{"title":"Data","deprecated":true,"href":"/docs/api/admin/v3/export/data"},{"title":"Navigation","deprecated":true,"href":"/docs/api/admin/v3/export/navigation"},{"title":"Pages","deprecated":true,"href":"/docs/api/admin/v3/export/pages"},{"title":"Product Groups","deprecated":true,"href":"/docs/api/admin/v3/export/product-groups"},{"title":"Templates","deprecated":true,"href":"/docs/api/admin/v3/export/templates"}]},{"group":"Import","pages":[{"title":"Data","deprecated":true,"href":"/docs/api/admin/v3/import/data"},{"title":"Navigation","deprecated":true,"href":"/docs/api/admin/v3/import/navigation"},{"title":"Pages","deprecated":true,"href":"/docs/api/admin/v3/import/pages"},{"title":"Status","deprecated":true,"href":"/docs/api/admin/v3/import/status"},{"title":"Templates","deprecated":true,"href":"/docs/api/admin/v3/import/templates"}]},{"group":"Notifications","pages":[{"title":"Latest","deprecated":true,"href":"/docs/api/admin/v3/notifications/latest"},{"title":"Payment","deprecated":true,"href":"/docs/api/admin/v3/notifications/payment"}]},{"title":"Status","deprecated":true,"href":"/docs/api/admin/v3/status"}]}]},{"group":"Storefront","pages":[{"title":"Overview","href":"/docs/api/storefront/overview"},{"group":"v3","expanded":true,"pages":[{"title":"Overview","href":"/docs/api/storefront/v3/overview"},{"group":"Notifications","pages":[{"title":"Ad Impression","href":"/docs/api/storefront/v3/notifications/ad-impression"},{"title":"Add Favorite","href":"/docs/api/storefront/v3/notifications/add-favorite"},{"title":"Add To Cart","href":"/docs/api/storefront/v3/notifications/add-to-cart"},{"title":"Click","href":"/docs/api/storefront/v3/notifications/click"},{"title":"End","href":"/docs/api/storefront/v3/notifications/end"},{"title":"Remove Favorite","href":"/docs/api/storefront/v3/notifications/remove-favorite"},{"title":"Remove Recent Searches","href":"/docs/api/storefront/v3/notifications/remove-recent-searches"},{"title":"Remove Recently Viewed","href":"/docs/api/storefront/v3/notifications/remove-recently-viewed"}]},{"group":"Queries","pages":[{"title":"Add To Cart Popup","href":"/docs/api/storefront/v3/queries/add-to-cart-popup"},{"title":"Autocomplete","href":"/docs/api/storefront/v3/queries/autocomplete"},{"title":"Cart Page","href":"/docs/api/storefront/v3/queries/cart-page"},{"title":"Content Information","href":"/docs/api/storefront/v3/queries/content-information"},{"title":"Content Search Page","href":"/docs/api/storefront/v3/queries/content-search-page"},{"title":"Discovery Agent Topic","href":"/docs/api/storefront/v3/queries/discovery-agent-topic"},{"title":"Landing Page","description":"Category pages and generic landing pages are requested through the same end point, called landing-page.","href":"/docs/api/storefront/v3/queries/landing-page"},{"title":"Navigation Tree","href":"/docs/api/storefront/v3/queries/navigation-tree"},{"title":"Product Page","description":"The product page query should be used on product pages.","href":"/docs/api/storefront/v3/queries/product-page"},{"title":"Search Page","href":"/docs/api/storefront/v3/queries/search-page"},{"title":"Sponsored Page","href":"/docs/api/storefront/v3/queries/sponsored-page"}]},{"group":"Utilities","pages":[{"title":"Product Information","href":"/docs/api/storefront/v3/utilities/product-information"}]}]}]}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/guides/overview"}]},{"tab":"Add-ons","pages":[{"title":"Add-ons","href":"/docs/addons/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/docs/changelog/changelog"}]}]},"basePath":"","title":"Navigation Tree - Product Discovery developer docs","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":[],"chunks":[]}